import { useRef, useEffect, useState } from 'react';
var useScrollBottom = function () {
    var _a = useState(false), isBottom = _a[0], setIsBottom = _a[1];
    var scrollRef = useRef(null);
    var onScroll = function () {
        if (scrollRef.current) {
            setIsBottom(scrollRef.current.scrollTop >= scrollRef.current.scrollHeight - scrollRef.current.clientHeight);
        }
    };
    useEffect(function () {
        scrollRef.current.addEventListener('scroll', onScroll);
        return function () {
            if (scrollRef && scrollRef.current) {
                scrollRef.current.removeEventListener('scroll', onScroll);
            }
        };
    }, [
        scrollRef.current
    ]);
    return [isBottom, scrollRef];
};
export default useScrollBottom;
