"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var useScrollBottom = function () {
    var _a = react_1.useState(false), isBottom = _a[0], setIsBottom = _a[1];
    var scrollRef = react_1.useRef(null);
    var onScroll = function () {
        if (scrollRef.current) {
            setIsBottom(scrollRef.current.scrollTop >= scrollRef.current.scrollHeight - scrollRef.current.clientHeight);
        }
    };
    react_1.useEffect(function () {
        scrollRef.current.addEventListener('scroll', onScroll);
        return function () {
            if (scrollRef && scrollRef.current) {
                scrollRef.current.removeEventListener('scroll', onScroll);
            }
        };
    }, [
        scrollRef.current
    ]);
    return [isBottom, scrollRef];
};
exports.default = useScrollBottom;
